SoftwareFix (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.SoftwareFix interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app
Interface SoftwareFix

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareModification, Version

    public interface SoftwareFix

extends SoftwareModification

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`ControlSoftware` | `getControlSoftware()`
`boolean` | `hasControlSoftware()`
`void` | `setControlSoftware(ControlSoftware x)`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareModification
`getManufacturerName, getMaxCompatibleLevel, getMaxCompatibleModifier, getMaxCompatibleRelease, getMaxCompatibleVersion, getMinCompatibleLevel, getMinCompatibleModifier, getMinCompatibleRelease, getMinCompatibleVersion, getProductId, getProductName, getType, getUpdateCriticality, hasManufacturerName, hasMaxCompatibleLevel, hasMaxCompatibleModifier, hasMaxCompatibleRelease, hasMaxCompatibleVersion, hasMinCompatibleLevel, hasMinCompatibleModifier, hasMinCompatibleRelease, hasMinCompatibleVersion, hasProductId, hasProductName, hasType, hasUpdateCriticality, setManufacturerName, setMaxCompatibleLevel, setMaxCompatibleModifier, setMaxCompatibleRelease, setMaxCompatibleVersion, setMinCompatibleLevel, setMinCompatibleModifier, setMinCompatibleRelease, setMinCompatibleVersion, setProductId, setProductName, setType, setUpdateCriticality`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getControlSoftware

    ControlSoftware getControlSoftware()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InstalledOn" reverse="false"

### setControlSoftware

    void setControlSoftware(ControlSoftware x)

### hasControlSoftware

    boolean hasControlSoftware()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD